Skip to content

Pool

All operations require authentication.

5 operationsv1/dedicated/ceph
Agent setup

List poolsProduction

GET
/1.0/dedicated/ceph/{serviceName}/pool

Returns the pools of the cluster.

Path parameters

serviceName
required
string

Service name

Response

200response[]successful operation
backup
read-only
boolean

Determine if pool should be backuped

minActiveReplicas
read-only
integer

Minimum active replicas

name
read-only
string

Name of the pool

poolType
read-only
poolTypeEnum

Type of pool

ValuesERASURE_CODEDREPLICATED
replicaCount
read-only
integer

Number of replica

serviceName
read-only
string

ID of cluster

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/pool \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "backup": true, "minActiveReplicas": 0, "name": "string", "poolType": "ERASURE_CODED", "replicaCount": 0, "serviceName": "string" }]

Get a poolProduction

GET
/1.0/dedicated/ceph/{serviceName}/pool/{poolName}

Returns a pool of the cluster.

Path parameters

poolName
required
string

Pool name

serviceName
required
string

Service name

Response

200responsesuccessful operation
backup
read-only
boolean

Determine if pool should be backuped

minActiveReplicas
read-only
integer

Minimum active replicas

name
read-only
string

Name of the pool

poolType
read-only
poolTypeEnum

Type of pool

ValuesERASURE_CODEDREPLICATED
replicaCount
read-only
integer

Number of replica

serviceName
read-only
string

ID of cluster

Example uses poolName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/pool/{poolName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "backup": true, "minActiveReplicas": 0, "name": "string", "poolType": "ERASURE_CODED", "replicaCount": 0, "serviceName": "string"}

Create a poolProduction

POST
/1.0/dedicated/ceph/{serviceName}/pool

Creates a pool whose data is replicated three times. The name must contain at least three characters.

Path parameters

serviceName
required
string

Service name

Request body (required)

poolName
required
string

Name of the new pool

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/pool \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a poolProduction

DELETE
/1.0/dedicated/ceph/{serviceName}/pool/{poolName}

Deletes the pool from the cluster.

Path parameters

poolName
required
string

Pool name

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses poolName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/pool/{poolName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Allow pool deletionProduction

PUT
/1.0/dedicated/ceph/{serviceName}/pool/{poolName}/allowDeletion

Opens a 5-minute window for deleting the pool. This window is not enforced yet: a pool can currently be deleted at any time.

Path parameters

poolName
required
string

Pool name

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses poolName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/pool/{poolName}/allowDeletion \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"